Amazon Deals
Extract Amazon deals by scraping the Amazon website.

Extracting Amazon deals by scraping the Amazon website has never been easier.
To enable this feature, set the type=todays-deals parameter.
The Amazon Deals feature is used to scrape the Today's Deals page and returns a JSON object containing product_results alongside other useful information.
Amazon Deals Parameters
The Amazon Deals feature only takes one specific parameter:
| Parameter | Required | Type | Description |
|---|---|---|---|
category_id | ✅ | string | The ID of the category you are searching for. Use it together with parent_alias when searching for sub-categories. |
Your full GET request should then be sent to the following address:
https://ecom.webscrapingapi.com/v1?engine=amazon&api_key=<YOUR_API_KEY>&type=todays-deals&category_id=<CATEGORY_ID>Amazon Deals Integration Examples
curl --get "https://ecom.webscrapingapi.com/v1" \
--data-urlencode "engine=amazon" \
--data-urlencode "api_key=<YOUR_API_KEY>" \
--data-urlencode "type=todays-deals" \
--data-urlencode "category_id=15684181"const API_KEY = "<YOUR_API_KEY>";
const SCRAPER_URL = "https://ecom.webscrapingapi.com/v1";
const params = new URLSearchParams({
engine: "amazon",
api_key: API_KEY,
type: "todays-deals",
category_id: "15684181",
});
const response = await fetch(`${SCRAPER_URL}?${params}`);
const data = await response.text();
console.log(data);import requests
API_KEY = "<YOUR_API_KEY>"
SCRAPER_URL = "https://ecom.webscrapingapi.com/v1"
PARAMS = {
"engine": "amazon",
"api_key": API_KEY,
"type": "todays-deals",
"category_id": "15684181",
}
response = requests.get(SCRAPER_URL, params=PARAMS)
print(response.text)<?php
$apiKey = '<YOUR_API_KEY>';
$scraperUrl = 'https://ecom.webscrapingapi.com/v1';
$query = http_build_query([
'engine' => 'amazon',
'api_key' => $apiKey,
'type' => 'todays-deals',
'category_id' => '15684181',
]);
$response = file_get_contents("{$scraperUrl}?{$query}");
echo $response;package main
import (
"fmt"
"io"
"net/http"
"net/url"
)
func main() {
apiKey := "<YOUR_API_KEY>"
baseURL := "https://ecom.webscrapingapi.com/v1"
params := url.Values{}
params.Add("engine", "amazon")
params.Add("api_key", apiKey)
params.Add("type", "todays-deals")
params.Add("category_id", "15684181")
req, _ := http.NewRequest("GET", baseURL+"?"+params.Encode(), nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}import java.net.URI;
import java.net.http.HttpClient;
import java.net.http.HttpRequest;
import java.net.http.HttpResponse;
public class Main {
public static void main(String[] args) throws Exception {
String apiKey = "<YOUR_API_KEY>";
String url = "https://ecom.webscrapingapi.com/v1"
+ "?engine=amazon"
+ "&api_key=" + apiKey
+ "&type=todays-deals"
+ "&category_id=15684181";
HttpRequest request = HttpRequest.newBuilder()
.uri(URI.create(url))
.GET()
.build();
HttpResponse<String> response = HttpClient.newHttpClient().send(
request,
HttpResponse.BodyHandlers.ofString()
);
System.out.println(response.body());
}
}using System;
using System.Net.Http;
using System.Threading.Tasks;
class Program
{
static async Task Main()
{
var apiKey = "<YOUR_API_KEY>";
var url = "https://ecom.webscrapingapi.com/v1"
+ "?engine=amazon"
+ "&api_key=" + apiKey
+ "&type=todays-deals"
+ "&category_id=15684181";
using var client = new HttpClient();
var response = await client.GetAsync(url);
var body = await response.Content.ReadAsStringAsync();
Console.WriteLine(body);
}
}require "net/http"
require "uri"
api_key = "<YOUR_API_KEY>"
uri = URI("https://ecom.webscrapingapi.com/v1")
uri.query = URI.encode_www_form({
engine: "amazon",
api_key: api_key,
type: "todays-deals",
category_id: "15684181",
})
response = Net::HTTP.get_response(uri)
puts response.bodyResponse example
{
"search_parameters": {
"amazon_url": "https://www.amazon.com/s?bbn=15684181&rh=n%3A15684181%2Cp_n_specials_match%3A21213697011",
"engine": "amazon",
"amazon_domain": "amazon.com",
"device": "desktop",
"type": "todays-deals",
"category_id": "15684181"
},
"search_information": {
"organic_results_state": "Results for exact spelling",
"query_displayed": ""
},
"category_results": {
"product_results": [
{
"position": 1,
"product_id": "B081T7N948",
"title": "Cleaning Gel for Car",
"link": "/Cleaning-Universal-Detailing-Automotive-Interior/dp/B081T7N948",
"price": "$5.94",
"currency": "$",
"price_raw": "$9.99"
}
]
}
}